summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/pf
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/pf')
-rw-r--r--etc/rc.d/pf6
1 files changed, 3 insertions, 3 deletions
diff --git a/etc/rc.d/pf b/etc/rc.d/pf
index c2f387b..1d52360 100644
--- a/etc/rc.d/pf
+++ b/etc/rc.d/pf
@@ -47,14 +47,14 @@ pf_prestart()
pf_start()
{
echo "Enabling pf."
- if ! ${pf_program:-/sbin/pfctl} -si | grep -q "Enabled" ; then
- ${pf_program:-/sbin/pfctl} -e
- fi
${pf_program:-/sbin/pfctl} -Fa > /dev/null 2>&1
if [ -r "${pf_rules}" ]; then
${pf_program:-/sbin/pfctl} \
-f "${pf_rules}" ${pf_flags}
fi
+ if ! ${pf_program:-/sbin/pfctl} -si | grep -q "Enabled" ; then
+ ${pf_program:-/sbin/pfctl} -e
+ fi
}
pf_stop()
OpenPOWER on IntegriCloud